For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • GETList Senders
      • GETFetch a Sender
      • POSTSearch Senders
      • POSTResolve Senders
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceSenders

Fetch a Sender

GET
https://comms.twilio.com/v1/Senders/:senderId
GET
/v1/Senders/:senderId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.senders.fetch("senderId");
9}
10main();
1{
2 "id": "comms_sender_01h9krwprkeee8fzqspvwy6nq8",
3 "displayName": "Cool Support",
4 "address": "+14153902337",
5 "channel": "SMS",
6 "status": "DEACTIVATED",
7 "tags": {},
8 "updatedAt": "2023-09-13T12:00:24Z",
9 "createdAt": "2022-08-24T14:15:22Z"
10}
This operation fetches a single Sender using its ID.
Was this page helpful?
Previous

Search Senders

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

senderIdstringRequired

Response

OK
idstringformat: "^comms_sender_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
A reference to a Sender.
displayNamestring or null

The name associated with the address inventory, such as phone number or email address.

This name might be visible to recipients in certain communications, such as Email, and helps identify the sender.

Note: To update this value, use the appropriate Twilio API for the inventory type. For example, for Senders with the channel email, update displayName using the EmailSenders API.

addressstring

The Sender’s communication address within a channel, such as a phone number, email address, or device token.

channelenum

The medium which a unit of communication is transmitted through. These are differentiated by a mix of transmission protocol, network controller/owner, endpoint and address model, as well as the model for content of the atomic unit of communication itself.

Allowed values:
statusenum

The status of a Sender. If a Sender is activated, it is available to send and receive communications. If a Sender is deactivated, it is not available to send or receive communications.

Allowed values:
tagsmap from strings to strings

Custom metadata in the form of key-value pairs. Maximum size of a tag key is 128 characters. Maximum size of a tag value is 256 characters. There can be a maximum of 10 key-value pairs.

This field can be templated with Liquid. Specify variables with each recipient for personalization.

updatedAtstringformat: "date-time"
createdAtstringformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error